Bug 83739 - PRI=1.0 AS2.1 Errata 2 need gcc 3.2; showstopper bug in gcc 2.9.6
PRI=1.0 AS2.1 Errata 2 need gcc 3.2; showstopper bug in gcc 2.9.6
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: gcc (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks: 86557
  Show dependency treegraph
 
Reported: 2003-02-07 13:57 EST by Larry Troan
Modified: 2016-04-18 05:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-29 21:05:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Larry Troan 2003-02-07 13:57:25 EST
PROBLEM:  Showstopper bug in gcc 2.9.6; need gcc 3.2

FIX EXISTS with version gcc 3.2

BUSINESS CASE:  Correct problem for customers

DUE DATE: AS2.1 Errata 2
----------
Action by: charline.polifka
Issue Registered
----------
Action by: charline.polifka


Status set to: Waiting on Tech

ISSUE TRACKER 13706, opened as sev2.

ABI concerns?????
Comment 1 Larry Troan 2003-02-18 12:23:57 EST
FROM ISSUE TRACKER REF AS2.1 gcc2.96 BUG - NEEDED FOR PEGASUS SUPPORT
The Bug in gcc2.96:
A bug in gcc2.96 causes a memory leak in the exception handling code
in Pegasus. gcc2.96 needs to be patched and libc.sl needs to be recompiled.

Someone needs to look in gcc3.2 and backport fix to AS 2.1Q2 errata.
Comment 2 Larry Troan 2003-02-23 10:52:19 EST
NOTE FROM CHARLENE POLIFKA - HP WORKING THIS.
Comment 3 Larry Troan 2003-03-04 13:10:51 EST
Update from HP: Expect to deliver code this Friday. 
Comment 4 Larry Troan 2003-03-18 10:41:20 EST
FROM ISSUE TRACKER
Event posted 03-11-2003 01:14pm by charline.polifka with duration of 0.00      
 Here is the bug fix for thee gcc 2.96 memory leak.

Index: gcc/config/ia64/frame-ia64.c
===================================================================
RCS file: /home/mmitchell/Repository/gcc/gcc/config/ia64/frame-ia64.c,v
retrieving revision 1.1.1.1
diff -c -5 -p -r1.1.1.1 frame-ia64.c
*** gcc/config/ia64/frame-ia64.c 28 Feb 2003 07:00:57 -0000 1.1.1.1
--- gcc/config/ia64/frame-ia64.c 28 Feb 2003 20:50:45 -0000
*************** read_P_record (data, val, ptr, header)
*** 501,512 ****
--- 501,514 ----
     {
       /* P4 format.  */
       int size = (header->record.r.rlen * 2 + 7) / 8;
 
       data->type = spill_mask;
+ #if 0
       data->record.p.imask = (unsigned char *) malloc (size);
       memcpy (data->record.p.imask, ptr, size);
+ #endif
       return ptr+size;
     }
 
   if (val == UNW_P5)
     {


Status set to: Waiting on Tech
Severity set to: Urgent
Comment 5 Jakub Jelinek 2003-03-28 10:34:12 EST
Built in dist-2.1AS-errata-candidate (gcc-2.96-118.7.2).
Comment 6 Bill Peck 2003-05-29 21:05:34 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2003-149.html

Note You need to log in before you can comment on or make changes to this bug.